<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 1997-2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="pvm_gettid">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>pvm_gettid</refname>
    <refpurpose> returns the tid of the process identified by a group name and instance number</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[tid] = pvm_gettid(group, inum)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Arguments</title>
    <variablelist>
      <varlistentry>
        <term>group</term>
        <listitem>
          <para>string, string that contains the name of an existing group.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>inum</term>
        <listitem>
          <para>string, instance number of the process in the group.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>tid</term>
        <listitem>
          <para>integer</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>pvm_gettid</literal> 
    returns the tid of the PVM process
    identified by the group name <literal>group</literal> 
    and the instance number <literal>inum</literal></para>
    <para>
    The returned value <literal>tid</literal>will be &gt;= 0 if 
    the call is successful and will be 
    will be &lt; 0 if some error occurs.</para>
  </refsection>
  <refsection role="see also">
<title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="pvm_joingroup">pvm_joingroup</link>
      </member>
      <member>
        <link linkend="pvm_getinst">pvm_getinst</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
